angular.module('gaugesScreen', [])
.controller('GaugesScreenController', function($scope, $window) {
  var unit = null;
  $scope.data = {}
  // overwriting plain javascript function so we can access from within the controller
  $window.setUnits = (data) => {
    unit = data.unitType;
  }
  
  $window.updateData = (data) => {
    $scope.$evalAsync(function() {
	
	$scope.data.radioVal = data.radio
	$scope.data.dvdText = "DVD"
	$scope.data.tempText = "EXT TEMP"


      if (unit === "metric") {
        if (data.temp.toFixed(1) > 99 || data.temp.toFixed(1) < -99) {
			$scope.data.temp = "--";
			$scope.data.tempUnit = "*C";
			}
			else {
			$scope.data.tempUnit = "*C";
			$scope.data.temp = data.temp.toFixed(1);
        }
      }
      else {
        if (data.temp.toFixed(1) > 99 || data.temp.toFixed(1) < -99) {
			$scope.data.temp = "--";
			$scope.data.tempUnit = "*F";
		}
			else {
			$scope.data.tempUnit = "*F";
			$scope.data.temp = (data.temp * 1.8 + 32).toFixed(0);
        }
      } 
	  
    }
	)
 }
});    